Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> WordPress Trackback tb_id Parameter SQL Injection Vulnerability


Vulnerability Assessment Details

WordPress Trackback tb_id Parameter SQL Injection Vulnerability

Vulnerability Assessment Summary
Tries to generate a SQL error

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP application that is prone to SQL
injection attacks.

Description :

The version of WordPress on the remote host fails to properly sanitize
input to the 'tb_id' parameter of the 'wp-trackback.php' script before
using it in database queries. An unauthenticated remote attacker can
leverage this issue to launch SQL injection attacks against the
affected application, including discovery of password hashes of
WordPress users.

Note that successful exploitation of this issue requires that PHP's
'register_globals' setting be enabled and that the remote version of
PHP be older than 4.4.3 or 5.1.4.

See also :

http://www.hardened-php.net/hphp/zend_hash_del_key_or_index_vulnerability.html
http://milw0rm.com/exploits/3109

Solution :

Unknown at this time.

Network Security Threat Level:

High / CVSS Base Score : 7
(AV:R/AC:L/Au:NR/C:P/I:P/A:P/B:N)

Networks Security ID: 21983

Vulnerability Assessment Copyright: This script is Copyright (C) 2007 Tenable Network Security

Cables, Connectors

Alienware 17" R4 Gaming Laptop 2.76GHz i7 16GB Ram 1TB HDD 256GB SSD Good Condit
$1999.99
Alienware 17


Discussions

No Discussions have been posted on this vulnerability.